Description: As we have hemlock as a package to load we need a separate package file
Author: Peter Van Eynde <pvaneynd@debian.org>
Forwarded: not needed


--- /dev/null
+++ cmucl/src/hemlock/package.lisp
@@ -0,0 +1,27 @@
+;;; -*- Mode: lisp -*-
+
+(in-package :cl-user)
+
+(eval-when (:compile-toplevel :load-toplevel :execute)
+  (when (find-package :ed)
+    (delete-package
+     (find-package :ed)))
+  
+  (when (find-package :hi)
+    (delete-package
+     (find-package :hi))))
+
+(make-package "HEMLOCK-INTERNALS"
+              :nicknames '("HI")
+              :use '("LISP" "EXTENSIONS" "SYSTEM"))
+
+(make-package "HEMLOCK"
+              :nicknames '("ED")
+              :use '("LISP" "HEMLOCK-INTERNALS" "EXTENSIONS" "SYSTEM"))
+;;;
+(export 'c::compile-from-stream (find-package "C"))
+
+(defvar *byte-compile* #+small t #-small :maybe)
+
+(pushnew :command-bits *features*)
+(pushnew :buffered-lines *features*)
